Subject: Re: [X2Go-Dev] Bug#872: Bug#872: Bug#872: Turn xinerama.conf file related code inside X2Go Client into legacy code (for NX agents << 3.6)

From: Mike Gabriel <[email-masked]>
Date: Tue, 19 May 2015 08:59:24 +0000

Hi Alex,

On  Di 19 Mai 2015 10:09:54 CEST, Oleksandr Shneyder wrote:

> Am 18.05.2015 um 21:01 schrieb Ulrich Sibiller:
>> On Mon, May 18, 2015 at 3:41 PM, Oleksandr Shneyder
>> <[email-masked]> wrote:
>>> yes, if you moving window between two physical displays, without
>>> resizing it, x2goagent doesn't know, that display configuration is
>>> changed, because geometry of the x2goagent stays same. So I resized a
>>> window to refresh a display configurations.
>>
>> Why does nxagent/x2goagent need know about that? In the current
>> solution with xinerama.conf I don't see why x2goagent should be
>> informed in this case. And if it really needs to know, this patch
>> _should_ help (I have not tested this patch alone):
>>
>> https://github.com/uli42/nx-libs/commit/61018cd39d02fbda1f2f766d8320c53866fa55d3
>>
>> Uli
>>

> Imagine that you have agent window in the middle of two screens. Window
> size is 1024x768. You current displays configuration in that case is:
> left-512x768, right-512x768. Imagine, that you moved your window 100 px
> left. Now your displays configuration is: left-612x768, right-412x768.
> But from the view of x2goagent nothing is changed, agent has no idea
> about the display geometry on the client side. This is why client
> updating xinerama.conf and resizing a window to apply new settings. I
> hope it's understandable.

This is exactly what Ulrich is working on [1]. In the first test  
builds with his patches, the nxagent window adapts the Xinerama layout  
inside the nxagent whenever nxagent is moved over the client-side  
screen area. Especially check the changes in hw/nxagent/Screen.c, and  
there the intersect() function.

With Ulrich's patches, nxagent has Xinerama support without being in  
need of a xinerama.conf file. I tested that with Python X2Go (i.e.,  
via nxproxy) and via command line session startups (i.e., all on the  
same host).

There are still some kinks we observe with several window managers,  
but I am pretty sure that those issues need to be fixed in the window  
managers (esp. MATE's window manager and also openbox).

Mike

https://github.com/ArcticaProject/nx-libs/pull/23/files
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: [email-masked], http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb